'Test of MAX1270_Ray object
CON  'Constants Section

  _clkmode = xtal1 + pll16x      'using 5 MHz crystal in pll16x mode
  _xinfreq = 5_000_000           'to achieve 80 Mhz clock frequency 


OBJ  'Objects Section
    'We need the VGA (or TV) text driver
    
  text : "vga_text"    'For NTSC TV Video: Comment out this line...
  'text : "tv_text"    'and un-comment this line  (need to change pin parameter for text.start(pin) command below too).
  
  max1270:  "Max1270_Ray"  'ADC interface
  
PUB TestADC|v    'the first PUB routine is assumed the be the main one
  
  text.start(16)    'Start the VGA/TV text driver (uses another cog)
                    'The parameter (16) is the base pin used by demo and proto boards for VGA output
                    'Change (16) to (12) when using "tv_text" driver with demo board as it uses pin#12 for video

  repeat
    text.str(string(13,"MilliVolts: "))
    'get a reading using pins 12..15 
    'PUB get_millivolts      (ChipSelectPin, ClockPin, OutputPin -> 1270:DIN, InputPin -> 1270:DOUT, Channel, bTenVoltRange, bBipolar)
    v:=max1270.get_millivolts(13           , 12      , 14                   , 15                   , 0      , true        , true   )
    'show
    text.dec(v)
    

